AI Sync

Bulk Actions

Preview Bulk Action

POSThttps://app.aisync.link/api/contacts/bulk-preview
Preview Bulk Action
curl --request POST \
  --url https://app.aisync.link/api/contacts/bulk-preview \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "powerlist_id": 1
}'
{
  "count": 25,
  "success": true,
  "warning": null
}

Preview Bulk Action#

Counts the contacts a bulk action would touch. Filter by import_id, powerlist_id, or tag_id.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

import_idintegerbody

Contacts from this import's powerlist

powerlist_idintegerbody

Numeric powerlist id

tag_idintegerbody

Numeric contact tag id

curl --request POST \
  --url https://app.aisync.link/api/contacts/bulk-preview \
  --header 'Authorization: Bearer {{bearer_token}}' \
  --header 'Content-Type: application/json' \
  --data '{
  "powerlist_id": 1
}'
countinteger

Contacts that match